Error d'actualització La participació Clauers

A vegades, quan un va a actualitzar antergos, que es presenten amb un error com aquest:

 antergos és fins a la data
 nucli és fins a la data
 addicional està actualitzat
 comunitat està al dia
 multilib és fins a la data
:: A partir actualització completa del sistema ...
resoldre les dependències ...
a la recerca de paquets en conflicte ...

paquets (4) LLVM-libs-4.0.0-3 openssl-1.0-1.0.2.l-1 Opus-1.1.5-1 pango-1.40.6 + 9 + g92cc73c8-1

Mida total de descàrregues:   14.47 MiB
Mida total instal·lada:  60.74 MiB
Net d'actualització Mida:       0.57 MiB

:: Continuar amb la instal·lació? [I / n] i
:: Recuperant paquets ...
 LLVM-libs-4.0.0-3-x86_64                      12.1 MiB 109K / s 01:53 [#######################################] 100%
 openssl-1.0-1.0.2.l-1-x86_64                1572.1 KiB 110 K / s 00:14 [#######################################] 100%
 Opus-1.1.5-1-x86_64                          343.3 KiB 75.3K / s 00:05 [#######################################] 100%
 Cova-1.40.6 + 9 + g92cc73c8-1-x86_64            501.4 KiB 86.6K / s 00:06 [#######################################] 100%



(4/4) comprovació de claus en clauer [#######################################] 100%



(4/4) comprovació de la integritat de l'envàs [#######################################] 100% error: LLVM-libs: la signatura de "Evangelos Foutras <[email protected]>" és la confiança desconeguda :: /var/cache/pacman/pkg/llvm-libs-4.0.0-3-x86_64.pkg.tar.xz arxiu està danyat (paquet vàlid o està malmès (signatura PGP)). Vols eliminar? [I / n] i error: openssl-1,0: la signatura de "Pierre Schmitz <[email protected]>" és la confiança desconeguda :: /var/cache/pacman/pkg/openssl-1.0-1.0.2.l-1-x86_64.pkg.tar.xz arxiu està danyat (paquet vàlid o està malmès (signatura PGP)). Vols eliminar? [I / n] i error: opus: la signatura de "Gen Alexander Steffens (violentament) <[email protected]>" és la confiança desconeguda :: /var/cache/pacman/pkg/opus-1.1.5-1-x86_64.pkg.tar.xz arxiu està danyat (paquet vàlid o està malmès (signatura PGP)). Vols eliminar? [I / n] i error: cova: la signatura de "Gen Alexander Steffens (violentament) <[email protected]>" és la confiança desconeguda :: /var/cache/pacman/pkg/pango-1.40.6+9+g92cc73c8-1-x86_64.pkg.tar.xz arxiu està danyat (paquet vàlid o està malmès (signatura PGP)). Vols eliminar? [I / n] i error: fallat a confirmar la transacció (paquet vàlid o està malmès (signatura PGP)) S'han produït errors, no hi ha paquets van ser actualitzats.

Quin és el motiu que?

Si bé això pot ser confús, s'adonarà que va intentar "comprovar claus en clauer" (línia 22) just abans que va informar que els paquets van ser corromputs.

De tant en tant, aquest procés falla i els usuaris es queden sense poder actualitzar o utilitzar Pacman (la pacpastís homeAger).

No és cap problema de seguretat dels béns, it is simply caused by some unfortunate circumstances while the keyring/s are updated (canvi de claus es pot arribar amb el nou e.t.c. dev) The warning about trust and corrupted packages is shown because the keyring is not updated, and thus your system cannot verify the packages.

llegir aquí a ArchWiki:

instal·lació confiança desconeguda va fallar

paquet vàlid o està malmès

La solució

per sort, aquest problema es resol sovint molt fàcilment amb dos comandaments simples:

sudo pacman -Scc

i llavors

sudo pacman-key --refresh-keys

després d'això, intenti actualitzar de nou usant

sudo pacman -Syu

 

Darrere d'un proxy corporatiu:

Això sembla però a fallar si està darrere d'un proxy corporatiu, en aquest cas el tema es posa una mica més complicat. El proxy corporativa manté el sistema arribi a un servidor de claus i el que no és possible per refrescar, o actualització, les tecles que no tenen accés a un servidor que té them.There No obstant això, és un treball relativament fàcil al voltant.

  1. Obre el gestor de fitxers i feu clic "altres ubicacions"
  2. Des d'allà, seleccionar "etc." i llavors "pacman.d" i "GnuPG"
  3. dins "GnuPG" clic al fitxer "gpg.conf"
  4. La quarta línia ha de dir alguna cosa com"servidor de claus hkp://pool.sks-keyservers.net"
  5. la "hkp" ha de canviar-se a "http"
  6. Save the file and close it and attempt refresh the keys again by running sudo pacman-key --refresh-keys

    If You Have a "Marginal Trust Error"

    Sometimes, instead of the error being "Unknown Trust, it says "Marginal Trust". Here is an example:

    error: antergos-keyring: la signatura de "Antergos Servidor de generació (Sistema automatitzat de construcció del paquet) <[email protected]>" is marginal trust :: File /var/cache/pacman/pkg/antergos-keyring-20170524-1-any.pkg.tar.xz is corrupted (paquet vàlid o està malmès (signatura PGP)).

    1. If this is the case, simply navigate to "etc." i llavors "pacman.conf". To edit the file, first open up Nautilus (or whatever file manager you use) by entering this command into the terminal: sudo -S dbus-launch nautilus

    (replace "nautilus" with whatever file manager you use).

    2. Pròxim, scroll down to the line that states:

     

     

    [antergos]
    SigLevel = PackageRequired
    Include = /etc/pacman.d/antergos-mirrorlist

     

    Change the middle line to "SigLevel = Never".

    3. Open up the Package Manager and search for "antergos-keyring". Uninstall it and then re-install it.

    4. Lastly, go back to the file you previously had open (pacman.conf) and where you put "SigLevel = Never, now replace it with "SigLevel = PackageRequired".

    5. Attempt to update once again.

    If this solution did not work for you, luckily there are two more ways of solving a "Marginal Error".

Alternative 1

  1. Rename the /etc/pacman.d/gnupg folder:

    sudo mv /etc/pacman.d/gnupg /etc/pacman.d/gnupg.old

  2. Init your keyring:
    sudo pacman-key --init

  3. Repopulate it:

    sudo pacman-key --populate archlinux antergos

    Alternative 2

    This method might also work in the event that all else has failed.
  4. sudo pacman -Scc  <-- reply with explicit y to the first question
    sudo pacman -Syy
    sudo pacman -S haveged
    sudo haveged -w 1024
    sudo pacman-key --init
    sudo pacman-key --populate archlinux antergos
    sudo pkill haveged
    sudo pacman -S archlinux-keyring antergos-keyring
    sudo pacman -Syu

     

    Hopefully your problem is now solved! Aquest problema tendeix a aparèixer de tant en tant, so it would be a good idea to keep these commands handy somewhere.

 

 

Back to Installation Guide

Contributors:

(visitat 13,006 vegades, 11 visites avui)

Pin It on Pinterest

Share This